Get Target Subscription
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/getTargetSubscription
Gets the image information of which the specified target is subscribed to.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Nested Schema : schema
Type:
objectTarget details
Show Source
-
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Type of the targetExample:
oracle_database
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. Target subscription details retrieved.
Root Schema : DatabaseGoldImageTargetSubscription
Type:
objectTarget subscription input
Show Source
-
imageId: string
ID of the imageExample:
4B7738536B6E7888E053057FB10ACF8C -
imageName: string
Name of the imageExample:
FM_DB19_14_image -
parentId: string
ID of the parentExample:
01DB50F6963F0E39C72F8651DCC93A6A -
targetId: string
ID of the targetExample:
4B620EC24DCE61FAE053057FB10AC7D0 -
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Target type
-
timeSubscribed: string
(date-time)
Subscription timeExample:
2022-01-13 15:52:28.0
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message